# Stock whole kit constraint

This module allows to configure a product that has a BoM of type kit to disallow partial deliveries so that the components can’t be partially delivered.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

To allow/disallow the partial delivery of kits:

1. Go to the kit product template or variant and then to the Inventory tab, Logistics group.
2. The “Allow Partial Kit” check controls this. If marked, it will allow it.
3. By default, the check is not marked.

# Usage

To use this module, you need to:

1. Make a delivery picking with a kit product.
2. Try to deliver it partially.
3. An error will raise.

If you want to deliver other items in the picking you can do so and leave the whole kit components units pending in a backorder.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa <https://www.tecnativa.com>__
  - David Vidal

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/manufacture project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.